YARDSTICK(1fe)

NAME
yardstick - unit conversion and problem scaling application

SYNOPSIS
yardstick [-il length unit] [-if force unit] [-ol length unit] [-of force unit] [-ls length scale factor] [-fs force scale factor] [filename]

DESCRIPTION
yardstick is a program to scale the numerical quantities in a FElt input file; converting FElt files from one set of units to another (e.g., Newtons and meters to pounds and inches) is a special case of this operation and as such is given special treatment. For unit conversion you must specify input and output unit names for force and length quantities; yardstick will figure out the appropriate scale factors. Mass units are converted based on the length and force units that you specify. Time units are always assumed to be seconds so no conversion options are provided. For simple scaling you simply specify multiplicative scale factors for both force quantities and length quantities. Mass and time quantities are treated as in the special case of unit conversion.

OPTIONS
yardstick accepts the following options. Note that for unit conversion all four of -il, -if, -ol, -of must be specified and that unit conversion and simple scaling (-fs and -ls) are exclusive options.

-help
    Write a message describing valid command line options to standard error and exit.

-il (--input-length) length units
    The symbolic name of the length units used in the input file. Valid names are m (meters), mm (millimeters), cm (centimeters), ft (feet), in (inches).

-if (--input-force) force units
    The symbolic name of the force units used in the input file. Valid names are N (Newtons), MN (mega-Newtons), GN (giga-Newtons), lbs (pounds), kips (kilopounds).

-ol (--output-length) length units
    The symbolic name of the length units for the output (i.e., what the input units will be converted to). Available types are the same as for input length units.

-of (--output-force) force units
    The symbolic name of the force units for the output (i.e., what the input units will be converted to). Available types are the same as for input length units.

-ls (--length-scale) length quantity scale factor
    The multiplicative factor by which length quantities within the input file will be scaled.

-fs (--force-scale) force quantity scale factor
    The multiplicative factor by which force quantities within the input file will be scaled.

-nocpp
    Do not use a preprocessor on the input file.

-cpp filename
    Use filename as a preprocessor on the input file. The default preprocessor is "/lib/cpp". Any preprocssor which understands the -D, -U, and -I options can be used as these options are passed to the preprocessor.

AUTHOR
yardstick was developed by Jason I. Gobat (jgobat@mit.edu) and Darren C. Atkinson (atkinson@ucsd.edu).

SEE ALSO
felt(4fe).